Get a statement's transactions
curl --request GET \
--url https://api-sandbox.synctera.com/v0/statements/{statement_id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/statements/{statement_id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/statements/{statement_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"data": {
"lines": [
{
"account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"account_no": "<string>",
"amount": 123,
"currency": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"memo": "<string>",
"external_data": {},
"metadata": {}
},
"effective_date": "2023-11-07T05:31:56Z",
"id": 123,
"posted_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"subtype": "<string>",
"type": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Statements
Get a statement's transactions
Gets the list of transactions for a statement’s period.
GET
/
statements
/
{statement_id}
/
transactions
Get a statement's transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a statement
Example:
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Query Parameters
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Response
List of transactions for a given statement.
Was this page helpful?
⌘I

